> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Multicast

> Serves for chat-unrelated communication. Messages sent using `multicast` are not being saved. For example, it could be used in an app that sends notifications to agents when a specific condition is met (for instance, when an important customer starts a chat).

**Required scopes:** `multicast:rw`


## OpenAPI

````yaml /api/agent-chat/v3.7/openapi.json post /action/multicast
openapi: 3.0.0
info:
  title: Agent Chat API
  description: >-
    The Agent Chat API allows you to manage chats, threads, events, and agent
    state.
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/agent
    description: Production server
security: []
paths:
  /action/multicast:
    post:
      tags:
        - Other
      summary: Multicast
      description: >-
        Serves for chat-unrelated communication. Messages sent using `multicast`
        are not being saved. For example, it could be used in an app that sends
        notifications to agents when a specific condition is met (for instance,
        when an important customer starts a chat).
      operationId: multicast
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MulticastRequest'
            example:
              recipients:
                agents:
                  all: true
                  ids:
                    - smith@example.com
                    - agent@example.com
                  groups:
                    - 1
                    - 2
              content:
                example:
                  nested: json
      responses:
        '200':
          description: Multicast sent.
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - multicast:rw
components:
  schemas:
    MulticastRequest:
      type: object
      required:
        - recipients
        - content
      properties:
        recipients:
          type: object
          description: >-
            The recipients of the multicast message. At least one of
            `recipients.agents.all`, `recipients.agents.ids`, or
            `recipients.agents.groups` is required.
          properties:
            agents:
              type: object
              properties:
                all:
                  type: boolean
                  description: 'If set to `true`: the message is sent to all agents.'
                ids:
                  type: array
                  items:
                    type: string
                  description: An array of agent IDs to send the message to.
                groups:
                  type: array
                  items:
                    type: integer
                  description: An array of group IDs to send the message to.
        content:
          description: A JSON message to be sent.
        type:
          type: string
          description: The multicast message type.
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of

````